2

I have been struggling with this for a bit. I recently upgraded my qgis to 2.8.9, and now am having issues with the ftools plugin as well as the processing plugin. When I start qgis, I get this error: Couldn't load plugin fTools due to an error when calling its classFactory() method. I can't even uninstall ftools, and when I try to upgrade, it gives me this error:

enter image description here

With the processing plugin, I am able to uninstall, but when I try to reinstall, I get this very long error (which is the same error I get when first starting qgis):

couldn't load plugin 'processing' from ['C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python', 'C:/Users/kirsten_lawrence/.qgis2/python', 'C:/Users/kirsten_lawrence/.qgis2/python/plugins', 'C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python/plugins', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\matplotlib-1.3.1-py2.7-win-amd64.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\nose-1.3.3-py2.7.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\tornado-4.0.1-py2.7-win-amd64.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\backports.ssl_match_hostname-3.4.0.2-py2.7.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\certifi-14.05.14-py2.7.egg', 'C:\Python27\ArcGIS10.4\Lib', 'C:\Python27\ArcGIS10.4\lib\site-packages', 'C:\Program Files (x86)\ArcGIS\Desktop10.4\bin', 'C:\Python27\ArcGIS10.4', 'C:\Program Files (x86)\ArcGIS\Desktop10.4\ArcPy', 'C:\Program Files (x86)\ArcGIS\Desktop10.4\ArcToolBox\Scripts', 'C:\Python27\Lib\site-packages', 'C:\Python27\Lib\site-packages\fdb-1.5-py2.7.egg', 'C:\Program Files\QGIS Wien\apps\Python27\Lib', 'C:\Program Files\QGIS Wien\apps\Python27', 'C:\PROGRA~1\QGISWI~1\bin\python27.zip', 'C:\PROGRA~1\QGISWI~1\apps\Python27\DLLs', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\plat-win', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\lib-tk', 'C:\PROGRA~1\QGISWI~1\bin', 'C:\PROGRA~1\QGISWI~1\apps\Python27', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\PIL', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win-amd64.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\pytz-2012j-py2.7.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\win32', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\win32\lib', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\Pythonwin', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\wx-2.8-msw-unicode', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\xlrd-0.9.2-py2.7.egg', 'C:\PROGRA~1\QGISWI~1\apps\Python27\lib\site-packages\xlwt-0.7.5-py2.7.egg', 'C:/Users/kirsten_lawrence/.qgis2//python', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:\PROGRA~1\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools']


Traceback (most recent call last):
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 196, in loadPlugin
    __import__(packageName)
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/Users/kirsten_lawrence/.qgis2/python/plugins\processing\__init__.py", line 29, in 
    from processing.tools.general import *
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/Users/kirsten_lawrence/.qgis2/python/plugins\processing\tools\general.py", line 28, in 
    from processing.core.Processing import Processing
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/Users/kirsten_lawrence/.qgis2/python/plugins\processing\core\Processing.py", line 45, in 
    from processing.modeler.ModelerAlgorithmProvider import ModelerAlgorithmProvider
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/Users/kirsten_lawrence/.qgis2/python/plugins\processing\modeler\ModelerAlgorithmProvider.py", line 42, in 
    from processing.gui.GetScriptsAndModels import GetModelsAction
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/Users/kirsten_lawrence/.qgis2/python/plugins\processing\gui\GetScriptsAndModels.py", line 31, in 
    import urllib2
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\Python27\ArcGIS10.4\Lib\urllib2.py", line 93, in 
    import hashlib
  File "C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python\qgis\utils.py", line 478, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\Python27\ArcGIS10.4\Lib\hashlib.py", line 138, in 
    _hashlib.openssl_md_meth_names)
AttributeError: 'module' object has no attribute 'openssl_md_meth_names'


Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]


QGIS version:
2.8.9-Wien Wien, 26c3ece

Python path: ['C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python', u'C:/Users/kirsten_lawrence/.qgis2/python', u'C:/Users/kirsten_lawrence/.qgis2/python/plugins', 'C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python/plugins', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\nose-1.3.3-py2.7.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\tornado-4.0.1-py2.7-win-amd64.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\certifi-14.05.14-py2.7.egg', 'C:\\Python27\\ArcGIS10.4\\Lib', 'C:\\Python27\\ArcGIS10.4\\lib\\site-packages', 'C:\\Program Files (x86)\\ArcGIS\\Desktop10.4\\bin', 'C:\\Python27\\ArcGIS10.4', 'C:\\Program Files (x86)\\ArcGIS\\Desktop10.4\\ArcPy', 'C:\\Program Files (x86)\\ArcGIS\\Desktop10.4\\ArcToolBox\\Scripts', 'C:\\Python27\\Lib\\site-packages', 'C:\\Python27\\Lib\\site-packages\\fdb-1.5-py2.7.egg', 'C:\\Program Files\\QGIS Wien\\apps\\Python27\\Lib', 'C:\\Program Files\\QGIS Wien\\apps\\Python27', 'C:\\PROGRA~1\\QGISWI~1\\bin\\python27.zip', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\DLLs', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\plat-win', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\lib-tk', 'C:\\PROGRA~1\\QGISWI~1\\bin', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\win32', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\win32\\lib', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\Pythonwin', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg', 'C:\\PROGRA~1\\QGISWI~1\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg', u'C:/Users/kirsten_lawrence/.qgis2//python', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools', 'C:\\PROGRA~1\\QGISWI~1\\apps\\qgis-ltr\\python\\plugins\\fTools\\tools']

I have intalled the 64-bit windows version of qgis, and am running the 64-bit version of python 2.7.10 on my machine as well. I have tried deleting these plugins from my qgis directory, both under my User .qgis2\python\plugins directory as well as C:\OSGeo4W64\apps\qgis-ltr\python\plugins directory, but then when I do that ftools no longer comes up in the plugins list. The processing plugin does, but I get the same error when trying to install it again. Can anyone help?

  • What version did you update from? – HDunn May 8 '16 at 4:08
  • I am trying to recall as its been awhile since I've had this issue, but I believe an earlier version of 2.8x – kflaw May 8 '16 at 12:37
2

The error message 'module' object has no attribute 'openssl_md_meth_names' seems to be related to python, see https://github.com/Homebrew/legacy-homebrew/issues/36346 for MAC OS and https://stackoverflow.com/questions/27890225/attributeerror-module-object-has-no-attribute-python for linux.

QGIS usually has its own python to run, but if your system PATH has another python included (most likely C:\Python27\), you might run into version conflicts.

To sanitize your system, remove everything from QGIS (except the project files and data) including /qgis2 folder, and make a clean install.

  • Thanks for the reply, I have done that several times without success. I have modified the PYTHONPATH variable to make sure the qgis Python installation is included, I can double check the PATH variable. I also use Python with ArcGIS. – kflaw May 8 '16 at 12:35
1

What finally worked was uninstalling the later version of python (2.7.10) and setting the paths to the OSGeo4W64 python directory (while maintaining my arcgis python directories). I then reinstalled the later version of python and qgis runs without issue. Perhaps I didn't need to do the uninstall and reinstall and could have just confirmed and reordered the path variables. The answer above was definitely pointing in the right direction in terms of conflicting python installations, but I answered the question myself to be clear on what ended up working.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.